# Class MobileBuilder

- Defined in mobile-builder.ts:96

##### Index

### Constructors

constructor

### Properties

allowOfflineMode
allowShareTo
appIcon?
appId
appName
appVersion
autoPublicLogin
buildDir
buildType
cliDir
copyTargetDir?
entryPoint
entryPointType
googleServicesFile?
includedPlugins
iosParams?
isUnsecureKeyStore
keyStoreAlias
keyStorePassword
keyStorePath
localUserTables
packageRoot
platforms
pluginManager
plugins
pushSync
serverURL
showContinueAsPublicUser
splashPage?
synchedTables
syncInterval?
syncOnReconnect
templateDir
tenantAppName?
useDocker?
user?

### Methods

finishStep
fullBuild
prepareStep

## Constructors

### constructor

- new MobileBuilder(cfg: MobileBuilderConfig): MobileBuilder

  #### Parameters

  - cfg: MobileBuilderConfig

  #### Returns MobileBuilder

  - Defined in mobile-builder.ts:141

## Properties

### allowOfflineMode

allowOfflineMode: string

- Defined in mobile-builder.ts:115

### allowShareTo

allowShareTo: boolean

- Defined in mobile-builder.ts:124

### `Optional` appIcon

appIcon?: string

- Defined in mobile-builder.ts:100

### appId

appId: string

- Defined in mobile-builder.ts:98

### appName

appName: string

- Defined in mobile-builder.ts:97

### appVersion

appVersion: string

- Defined in mobile-builder.ts:99

### autoPublicLogin

autoPublicLogin: string

- Defined in mobile-builder.ts:113

### buildDir

buildDir: string

- Defined in mobile-builder.ts:102

### buildType

buildType: "release" | "debug"

- Defined in mobile-builder.ts:131

### cliDir

cliDir: string

- Defined in mobile-builder.ts:103

### `Optional` copyTargetDir

copyTargetDir?: string

- Defined in mobile-builder.ts:122

### entryPoint

entryPoint: string

- Defined in mobile-builder.ts:109

### entryPointType

entryPointType: EntryPointType

- Defined in mobile-builder.ts:110

### `Optional` googleServicesFile

googleServicesFile?: string

- Defined in mobile-builder.ts:130

### includedPlugins

includedPlugins: string[]

- Defined in mobile-builder.ts:108

### `Optional` iosParams

iosParams?: IosCfg

- Defined in mobile-builder.ts:132

### isUnsecureKeyStore

isUnsecureKeyStore: boolean

- Defined in mobile-builder.ts:129

### keyStoreAlias

keyStoreAlias: string

- Defined in mobile-builder.ts:127

### keyStorePassword

keyStorePassword: string

- Defined in mobile-builder.ts:128

### keyStorePath

keyStorePath: string

- Defined in mobile-builder.ts:126

### localUserTables

localUserTables: string[]

- Defined in mobile-builder.ts:106

### packageRoot

packageRoot: string = ...

- Defined in mobile-builder.ts:121

### platforms

platforms: string[]

- Defined in mobile-builder.ts:105

### pluginManager

pluginManager: any

- Defined in mobile-builder.ts:119

### plugins

plugins: Plugin[]

- Defined in mobile-builder.ts:120

### pushSync

pushSync: boolean

- Defined in mobile-builder.ts:117

### serverURL

serverURL: string

- Defined in mobile-builder.ts:111

### showContinueAsPublicUser

showContinueAsPublicUser: boolean

- Defined in mobile-builder.ts:114

### `Optional` splashPage

splashPage?: string

- Defined in mobile-builder.ts:112

### synchedTables

synchedTables: string[]

- Defined in mobile-builder.ts:107

### `Optional` syncInterval

syncInterval?: number

- Defined in mobile-builder.ts:118

### syncOnReconnect

syncOnReconnect: boolean

- Defined in mobile-builder.ts:116

### templateDir

templateDir: string

- Defined in mobile-builder.ts:101

### `Optional` tenantAppName

tenantAppName?: string

- Defined in mobile-builder.ts:125

### `Optional` useDocker

useDocker?: boolean

- Defined in mobile-builder.ts:104

### `Optional` user

user?: User

- Defined in mobile-builder.ts:123

## Methods

### finishStep

- finishStep(): Promise<number | null>

  #### Returns Promise<number | null>

  - Defined in mobile-builder.ts:239

### fullBuild

- fullBuild(): Promise<number | null>

  #### Returns Promise<number | null>

  - Defined in mobile-builder.ts:198

### prepareStep

- prepareStep(): Promise<0 | 1>

  #### Returns Promise<0 | 1>

  - Defined in mobile-builder.ts:209